## jsxgraph 0.83+svn1872~dfsg

=== debian/changelog ===
jsxgraph (0.83+svn1872~dfsg-3) unstable; urgency=low

  * changed symlinks to protoype.js (they were broken)
  * removed debian/watch since the source is retreived from a SVN repository

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Jul 2011 11:44:58 +0200

jsxgraph (0.83+svn1872~dfsg-2) unstable; urgency=low

  * Closes: #612233 (the already fixed ITP)
  * changed to a versioned dependency on jsdoc-toolkit
  * bumped Standards-Version to 3.9.2


 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jul 2011 17:08:12 +0200

jsxgraph (0.83+svn1872~dfsg-1) unstable; urgency=low

  * stripped pdf files, zip files out of the source package.
  * modified debian/copyright to take in account some files with MIT 
    licenses and mixed licenses.
  * removed files jquery.min.js and prototype.js from the source package

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 09 Apr 2011 16:28:54 +0200

jsxgraph (0.83+svn1872-1) unstable; urgency=low

  * Upgraded to a newer upstream release: enables many examples 
    existing in the SVN repository.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Feb 2011 15:32:07 +0100

jsxgraph (0.82-1) unstable; urgency=low

  * Upgraded to a newer upstream release
  * First publication. Closes: #612233

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Feb 2011 02:06:30 +0100

jsxgraph (0.72-1) unstable; urgency=low

  * Upgraded to a newer upstream release

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 21 Mar 2010 20:05:25 +0100

jsxgraph (0.50-2) unstable; urgency=low

  * modified the files in distrib/ to contain the latest sources
    grabbed from http://jsxgraph.uni-bayreuth.de/distrib this day.
  * added the generation of a documentation in HTML format with the tool jsdoc

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Sep 2008 15:53:56 +0200

jsxgraph (0.50-1) unstable; urgency=low

  * Initial release (Closes: #0) 

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Sep 2008 08:08:51 +0200
