=== debian/control ===
Source: jsxgraph
Section: devel
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), quilt
Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
Standards-Version: 3.9.2
Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php

Package: jsxgraph
Architecture: all
Depends: ${misc:Depends}, libjs-prototype, libjs-jquery
Description: Interactive Geometry with JavaScript
 JSXGraph is a cross-browser library to display interactive geometry in a
 web browser. It is implemented in JavaScript and uses SVG and VML.
 At the moment the following browsers are supported: Mozilla Firefox,
 Opera, Safari, Google Chrome, Microsoft Internet Explorer.
 .
 There are still some issues with JSXGraph in the Internet Explorer, so
 we recommend to use Firefox, Opera, Safari or Chrome.
 .
 JSXGraph is easy to embed and has a small footprint: only 50 kB if
 embedded in a web page. No plugins are required!
