## jsxgraph 0.83+svn1872~dfsg1

=== debian/changelog ===
jsxgraph (0.83+svn1872~dfsg1-1) unstable; urgency=low

  * changed my DEBEMAIL. Closes: #693288
  * changed Standards-Version to 3.9.4

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 26 Feb 2013 18:41:40 +0100

jsxgraph (0.83+svn1872~dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add get-orig-source target to debian/rules to recreate the custom
    orig tarball.
  * Changes of the orig tarball:
    - Do not include the 'tools' directory in the orig tarball.
      It is not used and contains the non-free jsmin (Closes: #689763)
      and compiled versions of yuicompressor without source (Closes: #691493).
    - Remove compressed copies of jsxgraphcore.js in old versions without
      source (Closes: #691493).

 -- Tobias Hansen <thansen@debian.org>  Fri, 09 Nov 2012 22:25:11 +0100
