=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: jsxgraph
 Section: devel
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
