=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,32 @@
 	rm -f distrib/jsxgraphcore.js
 	dh_clean
 
+# get-orig-source should preferably export a tagged SVN revision in the future.
+# It was done in this way to recreate the existing orig tarball
+# jsxgraph-0.83+svn1872~dfsg.orig.tar.gz minus the folder "tools".
+get-orig-source:
+	mkdir -p debian/orig-temp
+	svn export -r 1872 https://jsxgraph.svn.sourceforge.net/svnroot/jsxgraph/trunk debian/orig-temp/jsxgraph-0.83+svn1872
+	rm -f debian/orig-temp/jsxgraph-0.83+svn1872/distrib/jquery.min.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/distrib/jsxcompressor.zip \
+	debian/orig-temp/jsxgraph-0.83+svn1872/distrib/jsxgraphcore.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/distrib/prototype.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jessie/jessiescript_ref_de.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jessie/jessiescript_ref_en.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jessie/jessiescript_tdm_ref_de.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/doc/jsxgraph_refcard.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/Cartography/vg2500_gk5.zip \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/Freudenberger/kamada_kawai.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/jscc/jscc-0.30.zip \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/jscc/jscc_manual_0.30.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/praesentation/ggb-in-jxg.pdf \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/ggb/ZA/GeogebraInJSXGraph.pdf \
+	"debian/orig-temp/jsxgraph-0.83+svn1872/examples/pickl/final/FT-HTML-Seite_Vortrag zur FT.ppt.zip" \
+	"debian/orig-temp/jsxgraph-0.83+svn1872/examples/pickl/final/Zulassungsarbeit_Christian Pickl.zip" \
+	debian/orig-temp/jsxgraph-0.83+svn1872/examples/Wigand/prototype.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/JSXCompressor/prototype.js \
+	debian/orig-temp/jsxgraph-0.83+svn1872/plugins/wordpress/jsxgraphwp.zip
+	rm -rf debian/orig-temp/jsxgraph-0.83+svn1872/tools
+	find debian/orig-temp/jsxgraph-0.83+svn1872 -name "jsxgraphcore.js" -exec rm {} \;
+	cd debian/orig-temp/ && tar pcf - jsxgraph-0.83+svn1872/ | gzip -9 - > ../../../jsxgraph_0.83+svn1872~dfsg1.orig.tar.gz
+	rm -rf debian/orig-temp
