## jsxgraph 0.96~dfsg1

=== debian/changelog ===
jsxgraph (0.96~dfsg1-2) unstable; urgency=low

  * upload to unstable without other modification

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 May 2013 23:20:02 +0200

jsxgraph (0.96~dfsg1-1) experimental; urgency=low

  * upgraded to the latest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jan 2013 11:42:07 +0100

jsxgraph (0.94~dfsg1-2) experimental; urgency=low

  * modified my DEBEMAIL
  * updated the script debian/get-latest-source to get sources from
    https://github.com/jsxgraph/jsxgraph/tree

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jan 2013 10:34:38 +0100

jsxgraph (0.94~dfsg1-1) experimental; urgency=low

  * upgraded to the latest tagged revision

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Nov 2012 18:52:55 +0100

jsxgraph (0.83+svn1872~dfsg1-1) experimental; urgency=low

  * Added a script debian/get-latest-source to build a custom orig tarball
    based on the latest tagged source tree.
  * removed the target get-orig-source in debian/rules since it is related
    to one past release in the SVN repository
  * updated Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Nov 2012 18:02:47 +0100
