=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
-Standards-Version: 3.9.4
+Standards-Version: 3.9.3
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
 Architecture: all
 Depends: ${misc:Depends}, libjs-prototype, libjs-jquery
+Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
  JSXGraph is a cross-browser library to display interactive geometry in a
  web browser. It is implemented in JavaScript and uses SVG and VML.
