## jsxgraph 0.98~dfsg1

=== debian/changelog ===
jsxgraph (0.98~dfsg1-3) unstable; urgency=low

  * added build-dependencies node-uglify and zip, thanks to 
    Daniel T Chen <seven.steps@gmail.com>
  * upgraded Standards-Version to 3.9.5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Jan 2014 18:54:06 +0100

jsxgraph (0.98~dfsg1-2) unstable; urgency=low

  * modified the Makefile in order to:
    - remove uglified file jsxcompressor.js upon clean
    - build jsxcompressor.js with "make all"
    Closes: #728659
  * added dependencies on python-support and python

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Dec 2013 16:16:06 +0100

jsxgraph (0.98~dfsg1-1) unstable; urgency=low

  * upgraded to the new upstream release
  * updated the file get-latest-source
  * updated debian/watch
  * updated Standards-Version to 3.9.4
  * added build-dependencies:
    + node-almond
    + node-requirejs

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Nov 2013 13:46:53 +0100
