=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt
-Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor
-Standards-Version: 3.9.3
+Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
+ node-almond, node-requirejs, node-uglify, zip
+Standards-Version: 3.9.5
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
 Architecture: all
-Depends: ${misc:Depends}, libjs-prototype, libjs-jquery
+Depends: ${misc:Depends}, libjs-prototype, libjs-jquery,
+ python-support (>= 0.90), python
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
  JSXGraph is a cross-browser library to display interactive geometry in a
