=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,5 @@
 %:
 	dh $@ 
 
-override_dh_auto_clean:
-	find . -name "*~" -exec rm {} \;
-	rm -rf js_docs_out
-	rm -f distrib/jsxgraphcore.js
-	dh_clean
-
 get_latest_source:
 	debian/get-latest-source
