## jsxgraph 0.99.3~dfsg1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 JSDOC2=node ./node_modules/.bin/jsdoc2
 LINT=./node_modules/.bin/jslint
 HINT=./node_modules/.bin/jshint
-JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar
+JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar 
 
 # general tools
 CP=cp
@@ -15,6 +15,7 @@
 RM=rm
 CD=cd
 ZIP=zip
+UNZIP=unzip
 
 # directories
 OUTPUT=distrib
@@ -29,6 +30,7 @@
 # flags
 MKDIRFLAGS=-p
 RMFLAGS=-rf
+#JSDOC2FLAGS=-v -t=$(JSDOC2TPL) -d=$(TMP)/docs
 JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs
 ZIPFLAGS=-r
 JSTESTPORT=4224
@@ -37,11 +39,14 @@
 
 # filelists - required for docs, linters, and to build the readers
 FILELIST=$(shell cat src/loadjsxgraph.js | grep "baseFiles\s*=\s*'\(\w*,\)\+" | awk -F \' '{ print $$2 }' | sed 's/,/.js src\//g')
+
+# Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
+LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
+
 READERSOUT=build/bin/readers/geonext.min.js build/bin/readers/geogebra.min.js build/bin/readers/intergeo.min.js build/bin/readers/sketch.min.js
 
 # rules
 all: core core-min readers docs moodle
-
 
 core:
 	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
@@ -53,7 +58,6 @@
 	$(REQUIREJS) -o $(BUILD)/core.build.json optimize=uglify2 out=$(BUILDBIN)/jsxgraphcore-min.js;
 	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-min.js; } > $(BUILDBIN)/jsxgraphcore.min.js
 	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(OUTPUT)/jsxgraphcore.js
-
 
 core-amd:
 	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
@@ -88,13 +92,16 @@
 	$(CP) $(JSDOC2PLG)/*.js ./node_modules/jsdoc2/app/plugins/
 
 	# run node-jsdoc2
-	$(JSDOC2) $(JSDOC2FLAGS) src/$(FILELIST).js
+	$(JSDOC2) $(JSDOC2FLAGS) src/loadjsxgraph.js src/$(FILELIST).js
 
 	# zip -r tmp/docs.zip tmp/docs/
 	$(CD) $(TMP) && $(ZIP) $(ZIPFLAGS) docs.zip docs/
 	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip
 
 	$(RM) $(RMFLAGS) tmp
+	
+	# Test
+	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip
 
 moodle: core core-min $(READERSOUT) 
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
@@ -113,7 +120,7 @@
 
 	$(RM) $(RMFLAGS) tmp
 
-readers: $(READERSOUT)
+readers: $(READERSOUT) 
 	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
 	$(CP) $(BUILDREADERS)/* $(OUTPUT)
 
@@ -123,18 +130,19 @@
 
 compressor: core
 	$(REQUIREJS) -o build/compressor.build.json
-	$(CP) build/bin/jsxcompressor.js JSXCompressor/jsxcompressor.js
-	$(CP) build/bin/jsxgraphcore.js JSXCompressor/jsxgraphcore.js
+	{ $(CAT) JSXCompressor/COPYING; $(CAT) $(BUILDBIN)/jsxcompressor.js; } > JSXCompressor/jsxcompressor.min.js
+	$(CP) $(BUILDBIN)/jsxgraphcore.js JSXCompressor/jsxgraphcore.js
+	$(CP) distrib/jsxgraph.css JSXCompressor/jsxgraph.css
 
 plot:
 	$(MKDIR) $(MKDIRFLAGS) $(BUILDBIN)
 	$(REQUIREJS) -o build/plot.build.json
 
 hint:
-	$(HINT) src/$(FILELIST).js
+	$(HINT) src/$(LINTLIST).js
 
 lint:
-	$(LINT) src/$(FILELIST).js
+	$(LINT) src/$(LINTLIST).js
 
 test-server:
 	$(JSTESTDRIVER) --port $(JSTESTPORT)
