=== debian/changelog ===
jsxgraph (0.99.3~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * removed a few sourceless files; Closes: #788728, and documented
    a few javascript sources in jsxgraph-lintian-overrides
  * realized that a former bug was already fixed. (Resolve FTBFS
    because of missing b-d-i). Closes: #734501
  * modified the installation to comply with Apache2.4; Closes: #669752
  * upgraded to dh_python2, thanks to Mattia Rizzolo's patch.
    Closes: #808165
  * upgraded Standards-Version to 3.9.6
  * imported the bootstrap script r.js as a quilt patch
  * changed the links to prototype.js in examples
  * changed the links to jquery.js in examples
  * changed the links to mathjax.js in examples

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Dec 2015 10:17:07 +0100
