=== debian/control ===
Source: jsxgraph
Section: devel
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), quilt
Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
 node-almond, node-requirejs, node-uglify, zip, python, dh-python,
 apache2-dev
Standards-Version: 3.9.6
Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php

Package: jsxgraph
Architecture: all
Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery
Suggests: jsxgraph-examples
Description: Interactive Geometry with JavaScript
 JSXGraph is a cross-browser library to display interactive geometry in a
 web browser. It is implemented in JavaScript and uses SVG and VML.
 At the moment the following browsers are supported: Mozilla Firefox,
 Opera, Safari, Google Chrome, Microsoft Internet Explorer.
 .
 There are still some issues with JSXGraph in the Internet Explorer, so
 using Firefox, Opera, Safari or Chrome is recommended.
 .
 JSXGraph is easy to embed and has a small footprint: only 50 kB if
 embedded in a web page. No plugins are required!
