=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,13 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@ --with apache2 --with python2
+
+DESTDIR = debian/jsxgraph
+override_dh_install:
+	dh_install
+	install -d $(DESTDIR)/etc/apache2/conf-available
+	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/jsxgraph.conf
 
 get_latest_source:
 	debian/get-latest-source
