=== debian/watch ===
version=3

opts=dversionmangle=s/~dfsg1$// \
  https://github.com/jsxgraph/jsxgraph/ /jsxgraph/jsxgraph/tree/RELEASE-(.*) \
  debian /bin/sh debian/get-latest-source
