## jsxgraph 0.99.5+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
-.PHONY: test test-server
+.PHONY: tests test test-server
 
 # build tools
 REQUIREJS=./node_modules/.bin/r.js
 UGLIFYJS=./node_modules/.bin/uglifyjs
-JSDOC2=node ./node_modules/.bin/jsdoc2
+JSDOC2=nodejs ./node_modules/.bin/jsdoc2
+#JSDOC2=nodejs ./node_modules/.bin/jsdoc
+
 LINT=./node_modules/.bin/jslint
 HINT=./node_modules/.bin/jshint
-JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar 
+JSTESTDRIVER=java -jar ./node_modules/jstestdriver/lib/jstestdriver.jar
+INTERN=./node_modules/.bin/intern-client
 
 # general tools
 CP=cp
@@ -25,13 +28,15 @@
 BUILDREADERS=$(BUILDBIN)/readers
 JSDOC2PLG=doc/jsdoc-tk/plugins
 JSDOC2TPL=doc/jsdoc-tk/template
+#JSDOC2TPL=./node_modules/ink-docstrap/template
 JSDOC2TPLSTAT=$(JSDOC2TPL)/static
 
 # flags
 MKDIRFLAGS=-p
 RMFLAGS=-rf
-#JSDOC2FLAGS=-v -t=$(JSDOC2TPL) -d=$(TMP)/docs
 JSDOC2FLAGS=-v -p -t=$(JSDOC2TPL) -d=$(TMP)/docs
+#JSDOC2FLAGS=--verbose -p --template $(JSDOC2TPL) --destination $(TMP)/docs
+
 ZIPFLAGS=-r
 JSTESTPORT=4224
 JSTESTSERVER=localhost:4224
@@ -42,6 +47,7 @@
 
 # Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
 LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
+LINTFLAGS=--bitwise true --white true
 
 READERSOUT=build/bin/readers/geonext.min.js build/bin/readers/geogebra.min.js build/bin/readers/intergeo.min.js build/bin/readers/sketch.min.js
 
@@ -62,7 +68,6 @@
 core-amd:
 	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
 	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-amd.js; } > $(BUILDBIN)/jsxgraphcore.amd.js
-
 
 release: core-min docs
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
@@ -99,14 +104,14 @@
 	$(CP) $(TMP)/docs.zip $(OUTPUT)/docs.zip
 
 	$(RM) $(RMFLAGS) tmp
-	
+
 	# Test
 	$(CD) $(OUTPUT) && $(UNZIP) -o docs.zip
 
-moodle: core core-min $(READERSOUT) 
+moodle: core core-min $(READERSOUT)
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)/jsxgraph
-	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraph/jsxgraphcore.js	
+	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(TMP)/jsxgraph/jsxgraphcore.js
 	$(CP) distrib/jsxgraph.css $(TMP)/jsxgraph/jsxgraph.css
 	$(CP) plugins/moodle/moodle2/*.php $(TMP)/jsxgraph/
 	$(CP) plugins/moodle/moodle2/styles.css $(TMP)/jsxgraph/
@@ -120,7 +125,7 @@
 
 	$(RM) $(RMFLAGS) tmp
 
-readers: $(READERSOUT) 
+readers: $(READERSOUT)
 	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
 	$(CP) $(BUILDREADERS)/* $(OUTPUT)
 
@@ -142,10 +147,13 @@
 	$(HINT) src/$(LINTLIST).js
 
 lint:
-	$(LINT) src/$(LINTLIST).js
+	$(LINT) $(LINTFLAGS) src/$(LINTLIST).js
 
 test-server:
 	$(JSTESTDRIVER) --port $(JSTESTPORT)
 
 test: core
 	$(JSTESTDRIVER) $(JSTESTSERVER) $(JSTESTFLAGS) --basePath ./ --config test/jsTestDriver.conf
+
+tests:
+	$(INTERN) config=tests/intern
