=== debian/changelog ===
jsxgraph (0.99.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * changed the pattern of new packages got by uscan
  * upgraded Standards-Version to 3.9.8
  * created a new output package, jsxcompressor. Closes: #846378
  * reworked some parts of the packaging to make lintian happy

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 Dec 2016 17:08:57 +0100
