## jsxgraph 0.99.6+dfsg1

=== Makefile ===
--- 
+++ 
@@ -64,10 +64,6 @@
 	$(REQUIREJS) -o $(BUILD)/core.build.json optimize=uglify2 out=$(BUILDBIN)/jsxgraphcore-min.js;
 	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-min.js; } > $(BUILDBIN)/jsxgraphcore.min.js
 	$(CP) $(BUILDBIN)/jsxgraphcore.min.js $(OUTPUT)/jsxgraphcore.js
-
-core-amd:
-	$(REQUIREJS) -o $(BUILD)/core-amd.build.json
-	{ $(CAT) COPYRIGHT; $(CAT) $(BUILDBIN)/jsxgraphcore-amd.js; } > $(BUILDBIN)/jsxgraphcore.amd.js
 
 release: core-min docs
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
