=== debian/changelog ===
jsxgraph (0.99.6+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Aug 2017 10:46:26 +0200
