=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
  node-almond, node-requirejs, node-uglify, zip, python, dh-python,
  apache2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 
 Package: jsxgraph
 Architecture: all
-Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery
+Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery,
+ jsxcompressor
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
  JSXGraph is a cross-browser library to display interactive geometry in a
@@ -24,3 +25,14 @@
  .
  JSXGraph is easy to embed and has a small footprint: only 50 kB if
  embedded in a web page. No plugins are required!
+
+Package: jsxcompressor
+Architecture: all
+Depends: ${misc:Depends}
+Description: Pure Javascript implementation of deflate, unzip, base64_decode
+ This package is intended to provide  a pure JavaScript implementation of
+ DEFLATE, unzip and base64_decode for JSXGraph. This can be used for
+ delivering compressed JavaScript inside of an HTML file.
+ .
+ JSXGraph is a cross-browser library to display interactive geometry in a
+  web browser.
