=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 	dh_install
 	install -d $(DESTDIR)/etc/apache2/conf-available
 	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/jsxgraph.conf
-
-get_latest_source:
-	debian/get-latest-source
+	# remove wrong exec flags
+	find $(DESTDIR)/usr/share/jsxgraph/examples/bspnc/ -type f -name "*.gxt" -exec chmod -x "{}" \;
+	# replace embedded jquery.min.js
+	rm -f $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/jquery.min.js
+	ln -s /usr/share/javascript/jquery/jquery.min.js $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/
