=== debian/changelog ===
jsxgraph (1.3.5+dfsg1-3) unstable; urgency=medium

  * make changes to use python3 only. Closes: #943079 

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Dec 2019 19:57:53 +0100

jsxgraph (1.3.5+dfsg1-2) unstable; urgency=medium

  * adapted the Makefile to take in account in the dependency node-almond.
    Closes: #922254

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Feb 2019 11:12:16 +0100

jsxgraph (1.3.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * added VCS stuff to debian/control
  * changed the symlink to node-almond; Closes: #893607

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Apr 2018 23:58:39 +0200
