=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), quilt
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
- node-almond, node-requirejs, node-uglify, zip, python, dh-python,
+ node-almond, node-requirejs, node-uglify, zip, python3, dh-python,
  apache2-dev
 Standards-Version: 3.9.8
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
+Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph.git
+Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git
 
 Package: jsxgraph
 Architecture: all
