=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with apache2 --with python2
+	dh $@ --with apache2 --with python3
 
 DESTDIR = debian/jsxgraph
 override_dh_install:
@@ -22,3 +22,7 @@
 	# replace embedded jquery.min.js
 	rm -f $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/jquery.min.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs/static/
+	# remove privacy breaches using google styles from generated files
+	for f in $$(find $(DESTDIR)/usr/share/javascript/jsxgraph/distrib/docs -name "*.htm*"); do \
+	  sed 's/.*google.*//' $$f > $$f.tmp && mv $$f.tmp $$f; \
+	done
