=== debian/watch ===
version=3

opts=dversionmangle=s/jsxgraph-\(.*\).dfsg1$/v\1/ \
  https://github.com/jsxgraph/jsxgraph/tags \
  /jsxgraph/jsxgraph/archive/[Vv](.*)\.tar\.gz \
  debian debian/get-latest-source
