=== debian/changelog ===
jsxgraph (1.4.2+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * bumped Standards-Version: 4.6.0

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Feb 2022 17:24:13 +0100

jsxgraph (1.4.1+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 28 Jan 2022 19:50:44 +0100

jsxgraph (1.4.0+dfsg1-1) experimental; urgency=medium

  * new upstream version
  * modified the build-dependency uglifyjs.terser -> terser.
    Closes: #1001034
  * rewritten debian/copyright to use "copyright-format/1.0", and defined
    a list of "Files-Excluded"
  * modified the watch file to track https://github.com/jsxgraph/jsxgraph/tags
    and to repack the archive with the suffix "dfsg1"
  * removed the file debian/get-latest-source
  * bumped debhelper  to debhelper-compat (= 13), Standards-Version: 4.5.1,
    priority becomes "optional"
  * updated debian patches
  * updated source/lintian-overrides

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Dec 2021 12:01:29 +0100

jsxgraph (1.3.5+dfsg1-8) unstable; urgency=medium

  * replaced uglifyjs by uglifyjs.terser in Makefile. Closes: #980470

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Jan 2021 16:41:44 +0100

jsxgraph (1.3.5+dfsg1-7) unstable; urgency=medium

  * replaced a build-dependency: node-requirejs -> uglifyjs.terser
    Closes: #979903

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Jan 2021 15:46:44 +0100

jsxgraph (1.3.5+dfsg1-6) unstable; urgency=medium

  * Now, python is installed before compiling jsxgraph's scripts
    some scripts were fixed so python3 can compile them properly.
    Closes: #954776

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Mar 2020 17:26:54 +0200

jsxgraph (1.3.5+dfsg1-5) unstable; urgency=medium

  * Changed the dependency on python, made it a pre-dependency.
    Closes: #954776

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Mar 2020 16:11:21 +0200

jsxgraph (1.3.5+dfsg1-4) unstable; urgency=medium

  * changed the symlink to access the new location of almond.js
    Closes: #952307
  * improved dependencies of jsxgraph to take python3 in account

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 02 Mar 2020 19:43:46 +0100
