## jsxgraph 1.4.2+dfsg1

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: jsxgraph
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9.0.0), quilt
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
- node-almond, node-requirejs, node-uglify, zip, python3, dh-python,
+ node-almond, node-requirejs, terser, zip, python3, dh-python,
  apache2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.6.0
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph.git
 Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git
 
 Package: jsxgraph
 Architecture: all
-Depends:  ${misc:Depends}, ${python:Depends}, libjs-prototype, libjs-jquery,
+Pre-Depends: python3
+Depends:  ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
  jsxcompressor
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
