## jsxgraph 1.4.5+dfsg1

=== debian/changelog ===
jsxgraph (1.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.5+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Jul 2022 12:31:51 +0200

jsxgraph (1.4.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.4+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 19:09:57 +0200

jsxgraph (1.4.3+dfsg1-1) unstable; urgency=medium

  * new upstream version 1.4.3

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Apr 2022 12:43:03 +0200

jsxgraph (1.4.2+dfsg1-2) unstable; urgency=medium

  * added JSXCompressor/jsxgraph.css to the list of Files-Excluded in
    debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Feb 2022 17:56:51 +0100
