## jsxgraph 1.4.6+dfsg1

=== debian/changelog ===
jsxgraph (1.4.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.6+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Nov 2022 11:58:07 +0100
