=== debian/changelog ===
jsxgraph (1.5.0+dfsg1-3) unstable; urgency=medium

  * added a build dependency: node-path-browserify

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Feb 2023 12:31:58 +0100

jsxgraph (1.5.0+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-3, 10-13, 19, 23, 28
    + debian/source.lintian-overrides: line 5
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Move source package lintian overrides to debian/source.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.6.1, no changes needed.
  
  [Georges Khaznadar]
  * Update standards version to 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:17:59 +0100

jjsxgraph (1.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.5.0+dfsg1
  * removed some paths from Files-Excluded
  * bumped Standards-Version: 4.6.2
  * updated debian patches
  * added two new patternes to .gitignore: "*~" and ".pc/"
  * added a build-dependencies on package webpack, eslint;
    patched Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:14:34 +0100
