=== debian/control ===
--- 
+++ 
@@ -3,18 +3,27 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3), yui-compressor,
- node-almond, node-requirejs, terser, zip, python3, dh-python,
+Build-Depends-Indep: jsdoc-toolkit (>=2.4.0+dfsg-3),
+ yui-compressor,
+ node-almond,
+ node-requirejs,
+ node-path-browserify,
+ terser,
+ zip,
+ webpack,
+ eslint,
+ python3,
+ dh-python,
  apache2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
-Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph.git
+Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph
 Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git
 
 Package: jsxgraph
 Architecture: all
 Pre-Depends: python3
-Depends:  ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
+Depends: ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
  jsxcompressor
 Suggests: jsxgraph-examples
 Description: Interactive Geometry with JavaScript
@@ -32,6 +41,7 @@
 Package: jsxcompressor
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Pure Javascript implementation of deflate, unzip, base64_decode
  This package is intended to provide  a pure JavaScript implementation of
  DEFLATE, unzip and base64_decode for JSXGraph. This can be used for
