=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	dh $@ --with apache2 --with python3
 
 DESTDIR = debian/jsxgraph
+
+
 override_dh_install:
 	dh_install
 	install -d $(DESTDIR)/etc/apache2/conf-available
