=== debian/changelog ===
jsxgraph (1.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg1
  * updated debian patches for Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Aug 2023 11:47:28 +0200
